# Soul Urge / Heart's Desire (pythagorean)

`POST https://api.astroway.info/v1/numerology/pythagorean/soul-urge`

Calculate the Soul Urge number from the vowels of the full birth name. Numerology: Pythagorean system.

Group: Numerology: Pythagorean. Auth: `X-Api-Key` header. Operation ID: `numerology_pythagorean_soul-urge`.

## Parameters

| Name | In | Required | Type | Description |
|---|---|---|---|---|
| `undefined` |  | no | object |  |
| `undefined` |  | no | object |  |

## Request body

| Field | Type | Required | Description |
|---|---|---|---|
| `name` | string | yes |  |
| `date` | string | yes |  |

```json
{
  "name": "John Smith",
  "date": "1990-05-15"
}
```

## Responses

| Status | Meaning |
|---|---|
| 200 | Successful calculation |
| 400 | Validation error |
| 401 | Missing or invalid API key |

### Success fields, under `data`

| Field | Type | Required | Description |
|---|---|---|---|
| `system` | string | no |  |
| `name` | string | no |  |
| `date` | string | no |  |
| `soulUrge` | object | no |  |
| `soulUrge.raw` | number | no |  |
| `soulUrge.reduced` | number | no |  |
| `soulUrge.isMaster` | boolean | no |  |
| `soulUrge.steps` | number[] | no |  |
| `soulUrge.meaning` | object | no |  |

## Example

```bash
curl -X POST https://api.astroway.info/v1/numerology/pythagorean/soul-urge \
  -H "X-Api-Key: aw_live_..." \
  -H "Content-Type: application/json" \
  -d '{ "name": "John Smith", "date": "1990-05-15" }'
```

---

Rendered from https://api.astroway.info/v1/openapi.json. HTML page: https://api.astroway.info/docs/api/operations/numerology_pythagorean_soul-urge/
